/*
 * Copyright (c) 1999-2004 eVelopers Corporation. All rights reserved.
 *
 * This is open source software; you can use, redistribute and/or modify 
 * it under the terms of the Open Software Licence v 2.1 as published by the Open 
 * Source Initiative.
 *
 * You should have received a copy of the Open Software Licence along with this
 * application; if not, contact the Open Source Initiative (http://opensource.org).
 */
package com.unimod.fsml.validation.problems;

import org.eclipse.core.resources.IMarker;

import com.unimod.fsml.validation.ProblemToken;

public class ProblemFactory {

    private ProblemFactory() {
    }

    public static ProblemFactory createProblemFactory() {
        return new ProblemFactory();
    }

    public Problem createWrongTokenTypeProblem(IMarker marker, ProblemToken problemToken) {
        return new WrongTokenTypeProblem(marker, problemToken);
    }
}

